Bug 179410 - Get rid of unsightly hex numbers from unified build object files
Summary: Get rid of unsightly hex numbers from unified build object files
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Maciej Stachowiak
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-07 21:50 PST by Maciej Stachowiak
Modified: 2017-11-15 12:07 PST (History)
8 users (show)

See Also:


Attachments
Patch (87.52 KB, patch)
2017-11-07 21:54 PST, Maciej Stachowiak
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2017-11-07 21:50:07 PST
Get rid of unsightly hex numbers from unified build object files
Comment 1 Maciej Stachowiak 2017-11-07 21:54:25 PST
Created attachment 326304 [details]
Patch
Comment 2 Maciej Stachowiak 2017-11-07 23:10:05 PST
Committed r224565: <https://trac.webkit.org/changeset/224565>
Comment 3 Keith Miller 2017-11-08 10:12:51 PST
Why not make it consistent and do UnifiedSource-cpp.cpp for cpp files too?
Comment 4 Dean Jackson 2017-11-15 10:58:57 PST
Yeah, if we have -mm.mm we should have -cpp.cpp.

I still wish there was a good way to say:

UnifiedSource-N-of-M

... without causing a massive renaming all the time :(
Comment 5 Radar WebKit Bug Importer 2017-11-15 12:07:41 PST
<rdar://problem/35566986>